/*
 * Router pptp
 *
 * Copyright 2005, U.S. Robotics Corporation
 * All Rights Reserved.
 * 
 * THIS SOFTWARE IS OFFERED "AS IS", AND BROADCOM GRANTS NO WARRANTIES OF ANY
 * KIND, EXPRESS OR IMPLIED, BY STATUTE, COMMUNICATION OR OTHERWISE. BROADCOM
 * SPECIFICALLY DISCLAIMS ANY IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS
 * FOR A SPECIFIC PURPOSE OR NONINFRINGEMENT CONCERNING THIS SOFTWARE.
 *
 * $Id: pptp.h,v 1.1 2007/02/14 17:23:52 dtutuianu Exp $
 */

#ifndef _pptp_h_
#define _pptp_h_

#include <bcmconfig.h>
#include <netinet/in.h>
#ifdef __CONFIG_BUSYBOX__
#include <Config.h>
#endif

/* pptp scripts */
extern void pptp_up(char *ifname, char *local, char *remote , char *mask, char *dns1, char *dns2);
extern void pptp_down(char *ifname, char *local, char *remote , char *mask);
extern void start_pptp(void);
extern void stop_pptp(void);

/* firewall */
#ifdef __CONFIG_NETCONF__
extern int start_firewall3(char *ifname, char *local, char *remote, char *mask);
extern int stop_firewall3(char *ifname, char *local, char *remote, char *mask);
#else
#define start_firewall3(char *ifname, char *local, char *remote, char *mask)do {} while (0)
#define stop_firewall3(char *ifname, char *local, char *remote, char *mask) do {} while (0)
#endif
#endif /* _pptp_h_ */
